<template>
    <div class="user-control__body wow fadeInUp">
        <div class="body-left">
            <p class="text-idBlueBold">#{{ referral.id }}</p>
            <p class="text-idBold">{{ referral.login }}</p>
        </div>
        <div class="body-center">
            <p class="text-id">{{ formattedDate }}</p>
        </div>
        <div class="body-right">
            <p class="text-idBlueBold">{{ formattedEarned }}</p>
        </div>
    </div>
</template>

<script>
	import currencies from "../../currencies";

    export default {
		name: "Referral",
        props: ['referral', 'user'],
        computed: {
            formattedDate(){
                return this.$date(this.referral.created_at).format('DD.MM.YYYY HH:mm:ss');
            },
		    formattedEarned(){
                return currencies.format(this.referral.earned, this.user.currency)
            },
        }
	}
</script>

<style scoped>

</style>
